Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004837OCamlOCaml documentationpublic2009-07-16 14:212011-05-31 16:17
Reporterrdr 
Assigned To 
PrioritynormalSeveritytrivialReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.0 
Target VersionFixed in Version3.13.0+dev 
Summary0004837: The return value for Lexing.lexeme_end is incorrectly documented
DescriptionIn 12.2.5 of the Ocaml Reference Manual lexeme_end is documented as returning:

 "... the absolute position in the input text of
   the end of the matched string."

The offset returned is actually of the first character past the matched string. This is correctly documented in the documentation for the Lexing module.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005026)
doligez (administrator)
2009-07-17 16:40

Actually, positions are not character offsets, they lie between characters. The position of the end of the substring is indeed the offset of the next character after the substring, which is also the position of the start plus the length of the substring.

Still, we need to make the doc clearer about that.

- Issue History
Date Modified Username Field Change
2009-07-16 14:21 rdr New Issue
2009-07-17 16:40 doligez Note Added: 0005026
2011-05-31 16:17 doligez Status new => closed
2011-05-31 16:17 doligez Resolution open => fixed
2011-05-31 16:17 doligez Fixed in Version => 3.13.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker